Git Product home page Git Product logo

diff-ignore-moved-lines's People

Contributors

forresthopkinsa avatar l0b0 avatar

Stargazers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

Watchers

 avatar  avatar  avatar

diff-ignore-moved-lines's Issues

Doesn't work with unified diff format [PATCH]

The diff_lines expression doesn't account for the fact that unified diffs don't have a space after the leading + or -. A simple fix is to put the sed first so the grep only has to consider > and '<':

--- a/diff-ignore-moved-lines.sh
+++ b/diff-ignore-moved-lines.sh
@@ -43,3 +43,3 @@ set -o errexit -o noclobber -o nounset -o pipefail
 # Also, convert unified diffs to "normal" diffs
-diff_lines="$(grep '^[><+-] ' | sed 's/^+/>/;s/^-/</')" || exit 0
+diff_lines="$(sed 's/^+/> /;s/^-/< /' | grep '^[><]')" || exit 0

Extending the test suite to cover this would be good.

It also occurs to me that the grep could be removed if the sed script was extended to discard lines that don't match ^[><]. Given that diff_lines is invoked a lot that would probably give a useful speed boost on large diffs.

shunit2 dependency

Worked fine after I installed shunit2, maybe that dependency could be mentioned in the documentation.

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    ๐Ÿ–– Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. ๐Ÿ“Š๐Ÿ“ˆ๐ŸŽ‰

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google โค๏ธ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.